Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.addressbook
Class ViewContactDetailsModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.addressbook.AddressBookModel
              portlets.compoze.groupware.model.addressbook.ViewContactDetailsModel

All Implemented Interfaces:
  java.io.Serializable

public class ViewContactDetailsModel
extends AddressBookModel
implements java.io.Serializable

This class represents the data model for the contact detail view (`contact_details_*.jsp`).

See Also:
  Serialized Form

Constructor Summary
`ViewContactDetailsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, AddressBookPreferences addressBookPrefs, Accounts accounts)` Constructor.

Method Summary
`Contact` | `getContact()` Gets the contact.
`void` | `setContact(Contact contact)` Sets the contact.

Methods inherited from class portlets.compoze.groupware.model.addressbook.AddressBookModel
`getAddressBookPreferences`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewContactDetailsModel

    public ViewContactDetailsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                                   FeatureGroup featureGroup,
                                   GroupwarePreferences groupwarePrefs,
                                   AddressBookPreferences addressBookPrefs,
                                   Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `addressBookPrefs` - the address book preferences (may not be `null`)

Method Detail

### getContact

    public Contact getContact()

  Gets the contact.

  Returns:
    the contact

### setContact

    public void setContact(Contact contact)

  Sets the contact.

  Parameters:
    `contact` - the contact (may not be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.